Community
Arnold for Houdini Forum
Rendering with Arnold in Houdini and Solaris using the HtoA plug-in.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Houdini Python3 version Support?

5 REPLIES 5
SOLVED
Reply
Message 1 of 6
elon_wu
1551 Views, 5 Replies

Houdini Python3 version Support?

Does the current HTOA support Houdini python3 version?

Houdini Console:

Error running pythonrc.py:

File "D:/Arnold/htoa/htoa-5.5.0.0_r5b05c8c_houdini-18.5.351/htoa-5.5.0.0_r5b05c8c_houdini-18.5.351/scripts/python/pythonrc.py", line 11

print '[htoa] HTOA environment variable already set to %s' % os.environ['HTOA']

^

SyntaxError: Missing parentheses in call to 'print'. Did you mean print('[htoa] HTOA environment variable already set to %s' % os.environ['HTOA'])?

Tags (3)
Labels (3)
5 REPLIES 5
Message 2 of 6
Stephen.Blair
in reply to: elon_wu

No, you'll have to use the Python 2.7 version of Houdini with the current HtoA.



// Stephen Blair
// Arnold Renderer Support
Message 3 of 6
chris_wood1
in reply to: elon_wu

where would I change the above?

Message 4 of 6
chris_wood1
in reply to: chris_wood1

HOUDINI_PYTHON_VERSION = python2.7

HOUDINI_PYTHON_BIN = C:\Python27

Message 5 of 6
chris_wood1
in reply to: chris_wood1

I added those line to the Houdini env file and I still get the same result

Message 6 of 6
Stephen.Blair
in reply to: chris_wood1

@ You have to download the Python 2.7 version of Houdini, and install that.



// Stephen Blair
// Arnold Renderer Support

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums